SystemOrganization addCategory: #ConfigurationOfPaulLePoulpe!

Object subclass: #ConfigurationOfPaulLePoulpe
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfPaulLePoulpe'!

!ConfigurationOfPaulLePoulpe class methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 6/3/2012 19:50'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				package: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) loadLatestVersion ]! !

!ConfigurationOfPaulLePoulpe class methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 6/3/2012 19:50'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfPaulLePoulpe class methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 6/3/2012 19:50'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfPaulLePoulpe class methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 6/3/2012 19:50'!
loadDefault
	(self project version: '0.1-version') load! !

!ConfigurationOfPaulLePoulpe class methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 6/3/2012 19:51'!
loadLast
	self project lastVersion load! !

!ConfigurationOfPaulLePoulpe class methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 6/3/2012 19:51'!
project

	^self new project! !

!ConfigurationOfPaulLePoulpe methodsFor: 'baselines' stamp: 'SantiagoBragagnolo 6/12/2012 00:14'!
baseline10: spec 
    <version: '1.0-baseline'>
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://ss3.gemstone.com/ss/PaulLePoulpe'.
		spec package: 'PaulLePoulpe'.
	
		spec group: 'default' with: #( 'PaulLePoulpe' ).
	].

! !

!ConfigurationOfPaulLePoulpe methodsFor: 'baselines' stamp: 'SantiagoBragagnolo 6/12/2012 00:20'!
default: spec 
    <version: 'default'>
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://ss3.gemstone.com/ss/PaulLePoulpe'.
		spec package: 'PaulLePoulpe'.
	
		spec group: 'default' with: #( 'PaulLePoulpe' ).
	].

! !

!ConfigurationOfPaulLePoulpe methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 6/3/2012 20:06'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) new.
		constructor project projectAttributes: (Array with: Smalltalk os platformName asSymbol).
		constructor on: self.
		project := constructor project.
		project]! !

!ConfigurationOfPaulLePoulpe methodsFor: 'as yet unclassified' stamp: 'LucFabresse 4/19/2013 16:05'!
version101: spec
	<version: '1.0.1' imports: #('default' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Look at examples subpackage and go to http://concretetypeinference.blogspot.com.ar/2012/06/pharo-logger-aka-paul-octopus-or-le.html for implementation details'.
		spec author: 'SantiagoBragagnolo'.
		spec timestamp: '19/04/2013 16:01'.
		spec package: 'PaulLePoulpe' with: 'PaulLePoulpe-SantiagoBragagnolo.15'
	].
! !

!ConfigurationOfPaulLePoulpe methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 6/12/2012 00:20'!
version10: spec
	<version: '1.0' imports: #('default' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Look at examples subpackage and go to http://concretetypeinference.blogspot.com.ar/2012/06/pharo-logger-aka-paul-octopus-or-le.html for implementation details'.
		spec author: 'SantiagoBragagnolo'.
		spec timestamp: '6/12/2012 00:17'.
		spec package: 'PaulLePoulpe' with: 'PaulLePoulpe-SantiagoBragagnolo.8'
	].
! !
